# Tests for conntrack-tools
- hosts: localhost
  tags:
  - classic
  roles:
  - role: standard-test-source
  - role: standard-test-basic
    required_packages:
    - gcc
    - conntrack-tools
    tests:
    - pre-conntrack-test:
        dir: ./source/tests/conntrack
        run: sed -i '/define CT_PROG/c \#define CT_PROG "/usr/sbin/conntrack"' test-conntrack.c
    - conntrack-test:
        dir: ./source/tests/conntrack
        run: chmod +x run-test.sh && ./run-test.sh | tee conntrack_test.log | grep -q '^OK':' [0-9]* BAD':' 0$'
        save_files:
          - conntrack_test.log
    - pre-nfct-test:
        dir: ./source/tests/nfct
        run: rm -f timeout/*dccp
    - nfct-test:
        dir: ./source/tests/nfct
        run: chmod +x run-test.sh && ./run-test.sh | tee nfct_test.log | grep -q '^OK':' [0-9]* BAD':' 0$'
        save_files:
          - nfct_test.log
